> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateUserWage

> The `updateUserWage` API updates wage details for an employee or contractor.

### What it does:

- Can be used to update wage, payment methods, employment status, tax exemptions for existing users



## OpenAPI

````yaml put /adminPortal/updateUserWage
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateUserWage:
    put:
      tags: []
      summary: updateUserWage
      description: >-
        The `updateUserWage` API updates wage details for an employee or
        contractor.


        ### What it does:


        - Can be used to update wage, payment methods, employment status, tax
        exemptions for existing users
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateUserWage
                userWage:
                  type: object
                  properties:
                    userWageId:
                      type: string
                    wageRate:
                      type: integer
                    workerType:
                      type: string
                      title: Enum
                    wageBasis:
                      type: string
                      title: Enum
                    userType:
                      type: string
                    employmentStatus:
                      type: string
                    userRefTaxExempt:
                      type: string
                    startDate:
                      type: string
                  required:
                    - userWageId
              required:
                - method
                - userWage
            example:
              method: updateUserWage
              userWage:
                userWageId: 97EFDBF6-A979-4593-9393-204EB3471C3B
                wageRate: 3560
                workerType: W2
                wageBasis: Per Week
                userType: Salary/Eligible for overtime
                employmentStatus: Full Time (30+ Hours per week)
                userRefTaxExempt: Yes, as an owner/corporate officer
                startDate: '2023-02-25'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  userWage:
                    type: object
                    properties:
                      userWageId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userWageId
                      - status
                    x--orders:
                      - EmployeeWageID
                      - Status
                      - Message
                required:
                  - userWage
                x--orders:
                  - EmployeeWage
              example:
                userWage:
                  userWageId: 057B2704-02FB-489D-B01B-731A225DAF68
                  status: Ready
                  message: The User's wage data has been updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid date format
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````